MAV_viewModifierParams(3)

NAME
MAV_viewModifierParams - View modifier (i.e. stereo) parameters.

LEVEL
Maverik Level 1

SYNTAX

 typedef struct {
  float offset;
  float angle;
  void *userdef;
} MAV_viewModifierParams;

DESCRIPTION
The MAV_viewModifierParams data structure defines the parameters used by the view modifier function of a window to perfrom stereo offset calulations.

The supplied view modifier functions, mav_eyeLeft and mav_eyeRight, offset the view by +/- offset/2.0 along the view right vector. angle is currently not used, but could be used by users who want to write view modifier functions which implement a convergence in the view directions. Similarly, userdef can be used to expand this data structure further to include any application specific data which could be used in stereo offset calculations.